%global tarname WWW-OrangeHRM-Client
Name:           perl-%{tarname}
Version:        0.7.1
Release:        1%{?dist}
Summary:        Client for OrangeHRM
License:        GPL+
Group:          Development/Libraries
URL:            http://ppisar.fedorapeople.org/%{tarname}/
Source0:        %{url}%{tarname}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(utf8)
# Run-time:
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(HTML::TreeBuilder::LibXML)
BuildRequires:  perl(strict)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
BuildRequires:  perl(WWW::Mechanize)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(LWP::Protocol::https)

%description
This module implements client for OrangeHRM information system. It has been
developed against Red Hat instance, so I cannot guarantee it works with
other instances.

%prep
%setup -q -n %{tarname}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes COPYING
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Dec 17 2013 Petr Pisar <ppisar@redhat.com> - 0.7.1-1
- 0.7.1 bump

* Thu Nov 28 2013 Petr Pisar <ppisar@redhat.com> - 0.7.0-1
- 0.7.0 bump

* Thu Aug 29 2013 Petr Pisar <ppisar@redhat.com> - 0.6.0-1
- 0.6.0 bump

* Thu Apr 11 2013 Petr Pisar <ppisar@redhat.com> - 0.5.0-1
- 0.5.0 bump

* Tue Mar 05 2013 Petr Pisar <ppisar@redhat.com> - 0.4.0-1
- 0.4.0 bump

* Fri Jan 25 2013 Petr Pisar <ppisar@redhat.com> - 0.3.0-1
- 0.3.0 bump

* Tue Jan 08 2013 Petr Pisar <ppisar@redhat.com> - 0.2.0-1
- 0.2.0 bump

* Fri Dec 14 2012 Petr Pisar <ppisar@redhat.com> 0.1.1-1
- Specfile autogenerated by cpanspec 1.78.
